Bug 1007067 - Empty userlist with ldap/sssd
Summary: Empty userlist with ldap/sssd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1010692 (view as bug list)
Depends On:
Blocks: SDDMDefault
TreeView+ depends on / blocked
 
Reported: 2013-09-11 20:26 UTC by Orion Poplawski
Modified: 2014-10-07 09:28 UTC (History)
11 users (show)

Fixed In Version: sddm-0.2.0-0.31.20140627gitf49c2c79.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-24 19:43:30 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2013-09-11 20:26:48 UTC
Description of problem:

We use LDAP via sssd for users.  sddm displays an empty user list with this configuration.

Version-Release number of selected component (if applicable):
sddm-0.2.0-0.6.20130821gite707e229.fc20.i686

Comment 1 Martin Bříza 2013-09-27 13:41:30 UTC
*** Bug 1010692 has been marked as a duplicate of this bug. ***

Comment 2 Rex Dieter 2013-09-27 13:47:28 UTC
fyi, this won't block bug #998542 for final release, hopefully.  The current tentative plan is to ship a default sddm theme that does not employ userlist feature.

Comment 3 Terje Røsten 2013-09-30 12:39:18 UTC
I also see this, there are no box or button to enter username.

This makes ssdm kind of ...hmmm ... useless.

Comment 4 Orion Poplawski 2013-10-10 18:31:09 UTC
So, I've tried changing the theme to circles or elarun to get a text login box.  Now however it completely fails to start a KDE session.  Near as I can tell, it never even runs Xsession.  This is with and ldap/sssd user with an nfs automounted home directory.  The most info I have is:

Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Starting...
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Adding new display : 0  on vt 1 ...
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Adding cookie to "/var/run/sddm//A:0-RckGFv"
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: /usr/bin/xauth:  file /var/run/sddm//A:0-RckGFv does not exist
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Display server starting...
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Display server started.
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Socket server starting...
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Socket server started.
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Greeter starting...
Oct 10 12:28:41 orca.cora.nwra.com sddm[1421]: DAEMON: Greeter started.
Oct 10 12:28:42 orca.cora.nwra.com sddm[1421]: DAEMON: Message received from greeter: Connect
Oct 10 12:28:55 orca.cora.nwra.com sddm[1421]: DAEMON: Message received from greeter: Login
Oct 10 12:28:55 orca.cora.nwra.com sddm[1421]: pam_unix(sddm:auth): authentication failure; logname= uid=0 euid=0 tty= ruser= rhost=  user=orion
Oct 10 12:28:55 orca.cora.nwra.com sddm[1421]: pam_sss(sddm:auth): authentication success; logname= uid=0 euid=0 tty= ruser= rhost= user=orion
Oct 10 12:28:55 orca.cora.nwra.com systemd[1]: Starting user-1744.slice.
Oct 10 12:28:55 orca.cora.nwra.com systemd[1]: Created slice user-1744.slice.
Oct 10 12:28:55 orca.cora.nwra.com systemd[1]: Starting User Manager for 1744...
Oct 10 12:28:56 orca.cora.nwra.com systemd-logind[292]: New session 3 of user orion.
Oct 10 12:28:56 orca.cora.nwra.com systemd-logind[292]: Linked /tmp/.X11-unix/X0 to /run/user/1744/X11-display.
Oct 10 12:28:56 orca.cora.nwra.com systemd[1]: Starting Session 3 of user orion.
Oct 10 12:28:56 orca.cora.nwra.com systemd[1]: Started Session 3 of user orion.
Oct 10 12:28:56 orca.cora.nwra.com systemd[1439]: pam_unix(systemd-user:session): session opened for user orion by (uid=0)
Oct 10 12:28:56 orca.cora.nwra.com sddm[1421]: pam_unix(sddm:session): session opened for user orion by (uid=0)
Oct 10 12:28:56 orca.cora.nwra.com systemd[1439]: Failed to open private bus connection: Failed to connect to socket /run/user/1744/dbus/user_bus_socket: No such file or directory
Oct 10 12:28:56 orca.cora.nwra.com kernel: SELinux: initialized (dev 0:40, type nfs4), uses genfs_contexts
Oct 10 12:28:56 orca.cora.nwra.com kernel: SELinux: initialized (dev 0:43, type nfs4), uses genfs_contexts
Oct 10 12:28:56 orca.cora.nwra.com systemd[1439]: Mounted /sys/kernel/config.
Oct 10 12:28:56 orca.cora.nwra.com systemd[1439]: Stopped target Sound Card.
Oct 10 12:28:56 orca.cora.nwra.com systemd[1439]: Starting Default.
Oct 10 12:28:56 orca.cora.nwra.com systemd[1439]: Reached target Default.
Oct 10 12:28:56 orca.cora.nwra.com systemd[1439]: Startup finished in 111ms.
Oct 10 12:28:56 orca.cora.nwra.com systemd[1]: Started User Manager for 1744.
Oct 10 12:29:26 orca.cora.nwra.com sddm[1421]: DAEMON: Failed to start user session:  "kde-plasma.desktop" , "/usr/share/apps/sddm/scripts/Xsession" , "/usr/bin/startkde"
Oct 10 12:29:26 orca.cora.nwra.com sddm[1421]: DAEMON: error, exitcode, exitstatus:  2 , 0 , 0


The last two came from some added debugging I did:

            qDebug() << " DAEMON: Failed to start user session: " << session << "," << daemonApp->configuration()->sessionCommand() << "," << command;
            qDebug() << " DAEMON: error, exitcode, exitstatus: " << process->error() << "," << process->exitCode() << "," << process->exitStatus();

So apparently the process timed out and never even started.  No idea why.

Comment 5 Orion Poplawski 2013-10-10 18:44:08 UTC
kdm starts the session just fine, so I'm placing the blame squarely on sddm :).

Oh, and just to be explicit - .xsession-errors isn't touched.

Comment 6 Orion Poplawski 2013-11-14 19:42:58 UTC
Any progress here?  Any more information needed?

Comment 7 Orion Poplawski 2013-11-14 19:46:14 UTC
Actually, I was able to log in with current F20 Beta, yay!

Comment 8 Kevin Kofler 2013-11-15 00:11:48 UTC
With or without updates-testing? I.e., what exact build of sddm are you using now? (We need to know so we know whether we can now close this or whether we need to get something pushed to stable first.)

Comment 9 Terje Røsten 2013-11-15 09:12:59 UTC
Still trouble with 0.2.0-0.20.  

Logs have:

 pam_loginuid(sddm:session): set_loginuid failed.


kdm/gdm works.

Comment 10 Orion Poplawski 2014-06-23 22:22:39 UTC
This still isn't working for me with sddm-0.2.0-0.28.20140623gitdb1d7381.fc21.x86_64.  Near as I can tell, sddm is trying to run xauth as root to add the cookie to ~/.Xauthority, but this is a no-go with NFS mounted home directories as root is not privileged.

Comment 11 Orion Poplawski 2014-06-23 22:24:08 UTC
Although this probably counts as a separate bug (nothing to do with LDAP/userlists).

Comment 12 Martin Bříza 2014-06-24 09:34:19 UTC
But the users are listed fine?
If yes, then please open a new bug for the login issue with ~ over NFS, it's a different problem.
Thanks,
Martin

Comment 13 Orion Poplawski 2014-06-24 19:43:30 UTC
With the maui theme I now see a user list (although this is useless with a large number of users) so I'm closing this.  Filed bug 1112841 for the NFS home dir issue.

Comment 14 Fedora Update System 2014-06-25 11:09:05 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc20

Comment 15 Fedora Update System 2014-06-25 11:13:14 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19

Comment 16 Fedora Update System 2014-06-30 10:30:26 UTC
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-10-07 09:28:53 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19


Note You need to log in before you can comment on or make changes to this bug.